Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.express.olapi.data.full
Class ExpressNotCommittableException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--oracle.olapi.transaction.NotCommittableException
                        |
                        +--oracle.express.olapi.data.full.ExpressNotCommittableException

public final class ExpressNotCommittableException
extends NotCommittableException

Indicates that the `ExpressTransactionProvider` has determined that the query defined in the current `Transaction` is invalid. This exception can occur when the `ExpressTransactionProvider` is preparing the `Transaction` for committing.

See Also:
  `ExpressTransactionProvider.prepareCurrentTransaction()`, Serialized Form

Method Summary
`ErrorStack` | `getErrorStack()` Gets the stack of errors generated by the `ExpressTransactionProvider` for the situation that generated the exception.
`java.lang.String` | `toString()` Gets a text representation of the `ExpressNotCommittableException` that includes short descriptions of the errors that contributed to the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getErrorStack

    public final ErrorStack getErrorStack()

  Gets the stack of errors generated by the `ExpressTransactionProvider` for the situation that generated the exception.
  Returns:
    An `ErrorStack`, which provides information about this exception.
  See Also:
    `ErrorStack`

### toString

    public final java.lang.String toString()

  Gets a text representation of the `ExpressNotCommittableException` that includes short descriptions of the errors that contributed to the exception.
  Overrides:
    toString in class java.lang.Throwable
  Returns:
    A `String` that contains a text representation of the `ExpressNotCommittableException`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.